@import (once) "../theme";

.forum-preview {
  font-weight: bold; font-size: 1.2em; padding: 5px; border-radius: 10px; margin: 10px;
  background: url("../../img/forum/forum.png") top center repeat-x; cursor: pointer;
  box-shadow: 0 0 10px rgba(0,0,0,0.5); background-position-y: -2px; border: 2px solid #7e4d2b;
  transition: border-color 0.5s ease-in-out, box-shadow 0.25s ease-in-out, color 0.25s ease-in-out;
  color: rgba(255,255,255,0.8); text-shadow: 0 1px 1px rgba(0,0,0, 0.5);

  &>img { margin-right: 10px; float: left }
  &>div { margin-top: 2px; }

  &.forum-preview-desc {
    line-height: 14px;
    &>span { font-size: 0.6em; }
  }

  &:hover { border-color: @myhordes-smalltext; box-shadow: 0 0 10px rgba(0,0,0,0.8); color: rgba(255,255,255,1.0); }
}

@myhordes-forum-button-color:  #a2321a;
@myhordes-forum-button-border: #c33720;
@myhordes-forum-disabled-button-color:  grey;
@myhordes-forum-disabled-button-border: grey;

.modOrigText, .modWarnText, .modInfoText {
  clear: left; margin: 0 15px;
  position: relative;

  background-image: linear-gradient(-45deg, #0001 25%, #fff0 25%, #fff0 50%, #0001 50%, #0001 75%, #fff0 75%, #fff0 100%);
  background-size: 12.63px 12.63px;

  padding: 2px 2px 2px 8px;
  &>span:first-child { font-size: 0.6em; font-weight: bold }
  &:not(.pointer)>span:first-child { display: none; }
  &.pointer>div:last-child { display: none }

  a { color: inherit !important; }

  &.modOrigText { background-color: #324200; border: 1px solid #004702; &>span:first-child { color: #a4ff96 }; &>div { color: white; } }
  &.modWarnText { background-color: #ff7272; border: 1px solid #fb5f5f; &>span:first-child, &>div { color: #000000 } }
  &.modInfoText { background-color: #ffe1a6; border: 1px solid #fcc281; &>span:first-child, &>div { color: #000000 } }

  &+.forum-post-content {border-top: none !important;}
}

.forum-content-format() {
  b, strong { color: #afb3cf; text-transform: initial; opacity: .8; }
  i, em { color: #f0d79e; opacity: .7; }
  s, strike, del { opacity: .8; }
  span.bad { color: #ff4111; }
  div.html { display: inline-block; }

  hr { border-color: @myhordes-smalltext }

  img { max-height: 480px; max-width: 100%; height: auto !important; width: auto !important; }

  span.quoteauthor {
    font-weight: bold;
    margin-left: 30px;
    font-size: 1.25rem; 
    text-decoration: none;
    background-color: #5C0000 !important;
    border-top: 1px solid #98341c !important;
    border-radius: 4px !important;
    padding-right: 5px !important;
    padding-left: 5px !important;
    color: #f0d79e !important;
    font-weight: bold !important;
    + blockquote {
      margin-top: 0;
    }
  }

  blockquote {
    font-style: italic; border-color: rgba(0,0,0,.6); border-style: dashed; border-width: 0 0 1px 1px;
    padding-left: 10px; font-size: .875em; opacity: .7;
  }

  .spoiler {
    background-image: linear-gradient(-45deg, #0006 25%, #fff0 25%, #fff0 50%, #0006 50%, #0006 75%, #fff0 75%, #fff0 100%);
    background-size: 12.63px 12.63px;
    &:not(:hover) { color: transparent; &>* { visibility: hidden; } }
    &:hover {
      background-image: linear-gradient(-45deg, #0003 25%, #fff0 25%, #fff0 50%, #0003 50%, #0003 75%, #fff0 75%, #fff0 100%);
      &>* { visibility: visible; }
    }
  }

  .sideNote {
    display: block; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;
    font-size: 1.1rem; font-style: italic;
  }

  .glory {
    clear: left; margin: 30px 30px 15px;  padding: 10px;
    background-color: #301a22; border: 1px solid #fe7d00; border-top-color: #feb500;
    border-radius: 4px; box-shadow: inset 0 1px 1px #000, 0 0 2px #000; position: relative;

    &:before {
      content: ''; display: block; background-image: url('../../img/forum/gloryhordes.png');
      background-size: 100% 22px; background-position: 50% 0; background-repeat: no-repeat;
      position: absolute; top: -22px; left: 0; width: 100%; height: 22px;
    }

    p { margin: 0; }

    & .glory { margin: 0; &:before { display: none; } }
  }

  div.crowmsg { margin: 4px 0; border: 1px solid #ddab76; background: #763939; padding: 3px; color: #ecb0b0; &.fixMargin { margin-left: 120px; } }

  span.rpauthor {
    background: url('../../img/forum/rp.png') left top no-repeat;
    height: 27px; padding-left: 24px; display: block;
    font-style: italic; font-size: 1.25rem;
    font-weight: bold;
  }

  .rpText {
    clear: left;
    margin: 0 30px 15px 30px; padding: 3px; background-color: #dddbd8; border: 1px solid #efefef; border-top-color: white; border-radius: 6px;
    box-shadow: 0 0 2px black; position: relative; font-style: italic; line-height: 18px; color: #3b4151;
    &:before {
      content: ""; display: block; background: url('../../img/forum/arrowUp.png') left center no-repeat; position: absolute;
      top: -6px; left: 5px; width: 100%; height: 8px;
    }
    b, i {
      color: #3b4151;
      font-style: italic;
    }
  }

  pre {
    clear: left;
    display: block; padding: 5px; border: 1px dashed white; overflow: auto; box-shadow: inset 0 1px 2px rgba(0,0,0, 0.35);
    word-wrap: normal;
    img { display: none; }
  }

  .oracleAnnounce,
  .modAnnounce,
  .adminAnnounce {
    clear: left;
    margin: 0 15px;
    padding: 8px 8px 8px 24px;
    background-repeat: no-repeat;
    border-radius: 4px;
    position: relative;

    &.oracleAnnounce {
      background-image: url('../../img/forum/announceBg.png');
      background-position: bottom left;
      background-color: #3b4151;
      border: 1px solid #6B7087;
      box-shadow: 0 0 2px black;
    }
    &.modAnnounce {
      padding-top: 20px;
      background-image: url('../../img/forum/modAnnounceBg.png'); 
      background-position: 5px 5px;
      color: white;
      background-color: #5C0000;
      border: 1px solid #470000;
    }

    &.adminAnnounce {
      padding-top: 20px;
      background-color: #553C53;
      border: 1px solid #feb500;
      background-image: url('../../img/forum/adminAnnounceBg.png'); background-position: top left;
      position: relative;
    }
  }

  div.dice-4, div.dice-6, div.dice-8, div.dice-10, div.dice-12, div.dice-20, div.dice-100,
  div.letter-a, div.letter-c, div.letter-v,
  div.rps, div.coin, div.card,
  div.citizen {
    display: inline-block; padding: 1px 3px 1px 19px; border-radius: 2px; background: #3B3249; font-size: 0.8em;
    font-weight: bold; margin: 0 2px; color: white;
  }
  div.dice-4   { background: url("../../img/forum/dice4.png")   left center no-repeat, #3B3249 }
  div.dice-6   { background: url("../../img/forum/dice6.png")   left center no-repeat, #3B3249 }
  div.dice-8   { background: url("../../img/forum/dice8.png")   left center no-repeat, #3B3249 }
  div.dice-10  { background: url("../../img/forum/dice10.png")  left center no-repeat, #3B3249 }
  div.dice-12  { background: url("../../img/forum/dice12.png")  left center no-repeat, #3B3249 }
  div.dice-20  { background: url("../../img/forum/dice20.png")  left center no-repeat, #3B3249 }
  div.dice-100 { background: url("../../img/forum/dice100.png") left center no-repeat, #3B3249 }
  div.letter-a { background: url("../../img/forum/lta.png")     left center no-repeat, #3B3249 }
  div.letter-c { background: url("../../img/forum/ltc.png")     left center no-repeat, #3B3249 }
  div.letter-v { background: url("../../img/forum/ltv.png")     left center no-repeat, #3B3249 }
  div.rps      { background: url("../../img/forum/rps.png")     left center no-repeat, #3B3249 }
  div.coin     { background: url("../../img/forum/coin.png")    left center no-repeat, #3B3249 }
  div.card     { background: url("../../img/forum/card.png")    left center no-repeat, #3B3249 }
  div.citizen  {
    background: url("../../img/icons/small_human.gif") left center no-repeat, #3B3249;
    &[x-a=none]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/looser.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=basic]       { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/basic.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=collec]      { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/dig.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=guardian]    { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/shield.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=hunter]      { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/vest.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=tamer]       { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/tamer.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=tech]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/tech.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=shaman]      { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/shaman.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=survivalist] { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/book.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=hero]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/hero.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=dead]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/death.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
  }
}

.forum-control {
  &>div.forum-header-bar:first-child {
    display: block; background: #321914; padding: 4px;
    &>*+* { margin-left: 10px; }
  }
  font-size: 1.1rem;
  background: #3c2018; box-shadow: 0 0 5px rgba(0,0,0,0.2);  padding: 0 0 5px;

  &>.quote {
    padding: 15px; font-style: italic;
    &>span { margin: 0 8px; }
    &>*:not(span) { opacity: 0.4; }
  }
}

ul.subscriptions {
  padding: 0 0 0 12px;
  &>li {
    &>span {cursor: pointer; font-size: 0.9em; color: @myhordes-smalltext;}
    &>img { float: right; cursor: pointer }

    &.new { list-style: url("../../img/icons/anim_icon_mail.gif"); font-weight: bold }
    &:not(.new) { list-style: none }
    &+li { margin-top: 4px; }
  }
}

.forum-note {
  &>b:first-child {
    display: block; background: #965c36; padding: 4px; font-variant: small-caps; overflow: hidden; white-space: nowrap;
    text-overflow: ellipsis;
  }
  font-size: 1.1rem; background: #8a5432; box-shadow: 0 0 5px rgba(0,0,0,0.2);
  border: 1px solid #704328;
}

.forum-post {
  &:before, &:after { content: " "; clear: both; display: table; }
  background-color: #4a261e; box-shadow: 0 0 5px rgba(0,0,0,0.2);  padding: 0;
  border: 1px solid #704328; margin-bottom: 10px;

  &>.forum-post-header {
    display: block;
    padding: 4px;
    min-height: 40px;
    &>b { padding: 5px; &>img { vertical-align: revert; } }
    &>i { float: right; font-size: 0.7em; opacity: 0.5; }
    &>div.post-note { font-size: 0.8em; span { opacity: 1.0; } }
    &>.avatar, &>.avatarcrow {
      margin: 0 15px 0 10px; float: left; z-index: 1;
      &:not(.small) { margin-bottom: 10px; }
    }
    &:before, &:after {content: " "; clear: right;}
    &:before { display: table;}
    &:after {display: block; height: 0;}
    background: linear-gradient(to top, #784a2b, 50%, #965c36);
    &.header-variant-crow { background: linear-gradient(to top, #522828, 50%, #773939); }
    &.header-variant-dev { background: #006495; }
    a.link { color: white; text-decoration: none }
  }

  &.forum-post-search-result>.forum-post-header {
    line-height: 0.8em;
    &>b { padding: 0; font-size: 0.7em; }
    &>div.found-in {
      margin-top: 5px;
      font-size: 0.7em; overflow: hidden; white-space: nowrap; text-overflow: " [...]";
      &>a { cursor: pointer }
    }
  }

  &.forum-post-hidden>.forum-post-header { background: #ff0000; }
  &.forum-post-new { border-left: 2px solid #ffdc00; margin-left: -2px; };
  &.forum-post-selected { border-left: 2px solid #0f0; margin-left: -2px; };
  &.forum-post-marked {
    margin-left: 5px;
    box-shadow: 0 0 3px #ffdc00;
  };

  &.crow-pm {
    border: 1px solid red;
    border-left: 2px solid red;
    outline: 2px solid black;
    background-color: #5c2b20;
    .forum-post-footer {
      background-color: #5c2b20;
    }
    .forum-post-header {
      b {
        color: #ff4111;
      }
    }
    .forum-post-content {
      color: #ecb0b0;
      background: url('../../img/forum/crowMsg_bg.gif') no-repeat;
      font-weight: bold;
    }
  }

  &>.forum-post-content {
    padding-left: 10px; padding-top: 10px; /*max-height: 750px; overflow: auto;*/
    background-color: #4a261e; border-top: 1px solid #00000066; padding-right: 4px; word-break: break-word;

    &.marked { background-color: #8b7700; }

    .forum-content-format();
    
  }

  &.forum-post-search-result .forum-post-content {
    overflow-y: auto; max-height: 100px;
    &>p:first-child { margin-top: 0; }
    & span.search-anchor { background: #6e0000; color: #fff500; text-shadow: 0 0 2px black; outline: 1px solid #fff500; box-shadow: 0 0 6px rgba(0,0,0,0.5)}
  }

  &>.forum-post-footer {
    padding: 5px;
    background-color: #4a261e;
    font-size: 1rem;
    color: rgba(0,0,0,0.2);

    .float-left { opacity: 0.6; }

    .action-button { padding-left: 2px;  text-decoration: underline; cursor: pointer; line-height: 16px; opacity: 0.6; }
    .action-button:hover { opacity: 1; color: #ffffff; }

    .mod-submenu {
      display: inline-block; position: relative; width: 16px; height: 16px; line-height: 16px;
      vertical-align: middle; background-image: url('../../img/icons/mod.png');
      margin-left: 1rem; cursor: pointer;

      input { display: none; }

      & .mod-submenu-links {
        display: none;  position: absolute; right: 0; bottom: 16px;
        border: 1px solid @myhordes-smalltext; background-color: #4a261e;
        margin: 0; padding: .5rem; outline: 1px solid black; list-style: none;
        li {
          list-style-type: none;
          a { color: @myhordes-smalltext; }
        }
      }
      input:checked + .mod-submenu-links {  display: block; }
    }
  }

}

.forum-editor, .pm-editor {

  &:not(.pm-editor) {
    background: #8a5432; box-shadow: 0 0 5px rgba(0,0,0,0.2);  padding: 0 0 5px;
    border: 1px solid #704328; margin: 10px 0;
  }

  &>.forum-editor-header {
    display: block; background: #804d2f; padding: 4px;
    &>b { padding: 5px; }
    &>i { float: right; font-size: 0.8em; }
  }

  #forum-editor-preview, #forum-editor-preview-global, #forum-editor-preview-answer {
    min-height: 150px; border: 1px solid #704328; background: #49261e; padding: 5px 25px; overflow: auto; outline: 0 solid transparent;
  }
}

#forum-editor-preview, #forum-editor-preview-global, #forum-editor-preview-answer, .pm-message-content { .forum-content-format(); }

.forum-button-inline {
  font-size: 1.4rem; background: none; border: 1px solid transparent;
  padding: 2px; color: #f0d79e; font-weight: bold; cursor: pointer; display: inline-flex; justify-content: center;
  align-items: center; height: 20px; vertical-align: middle; margin-bottom: .5em;

  &:hover {
    border-color: #f0d79e; &:not(.forum-button-inline) { box-shadow: 0 0 8px 0 black; }
    background: rgba(240, 215, 158, 0.4); box-shadow: 0 0 2px 0 rgba(0,0,0,0.3);
  }
}

.forum-button, .forum-button-disabled {
  font-size: 1.4rem; line-height: 16px;
  background: url('../../img/background/bg_button.gif') center / cover no-repeat;
  border: 1px solid @myhordes-forum-button-border;
  color: #f0d79e; font-weight: bold; cursor: pointer; display: inline-flex; justify-content: center;
  align-items: center; height: 25px; padding: 7px 7px; vertical-align: middle; border-radius: 2px;
  box-shadow: 1px 1px 1px 0 black; margin-bottom: .5em;
  &:hover { border-color: #f0d79e; box-shadow: 0 0 8px 0 black; }
  img {
    vertical-align: middle;

    & + span {
      margin-left: 1rem;
    }
  }
  &.forum-button-disabled {
    background: @myhordes-forum-disabled-button-color url('../../img/background/bg_button_grey.gif') no-repeat;
    border: 1px solid @myhordes-forum-disabled-button-color; color: #f0d79e;
  }
}

.forum-button-bar {
  margin: 5px 0; padding: 0 5px;

  .forum-button, .pm-button {
    position: relative;

    &.pm-button {
      padding: 6px; margin: 3px; box-shadow: 0 0 3px rgba(0,0,0,0.3); transition: background-color 0.1s ease;
      font-size: 1.5em; text-align: center; cursor: pointer;
      &:hover { background-color: rgba(255,255,255,0.1) }
    }

    &>span.forum-button-tooltip {
      display: none;
    }
    &:hover>span.forum-button-tooltip {
      display: block; position: absolute; left: 50%; transform: translateX(-50%); top: -2.5rem;
      z-index: 1; background-color: rgba(0, 0, 0, 0.75); padding: 2px 8px; border-radius: 8px;
      white-space: nowrap;

      &::after {
        content: ''; position: absolute; left: 50%; transform: translateX(-50%);
        bottom: -6px; width: 0; height: 0; border-style: solid; border-color: rgba(0, 0, 0, 0.75) transparent transparent;
        border-width: 6px 6px 0 6px;
      }
    }
  }
}

.forum-checkbox {
  display: inline-block; padding: 2px 5px; font-size: 1rem; background: @myhordes-forum-button-color;
  border: 1px solid @myhordes-forum-button-border;
  color: white; cursor: pointer;
  & label { font-size: 1rem; }
}

.forum-content,
.forum-editor {

  div.forum-checkbox {
    padding: 3px 20px; margin-right: 2rem; vertical-align: middle;
    margin-bottom: .5em; background-color: #4a261e; border-color: #f0d79e;

    input.forum-checkbox {
      display: none;
      &+label {
        display: inline-block;  width: 80px; cursor: pointer; padding: 0 4px; line-height: 1.4rem; color: #ccc;
        font-size: 1.1rem; text-align: center; border-radius: 2px; margin: 2px;
      }
      &:checked + label { color: #f0d79e; font-size: 1.2rem; background-color: rgba(0, 0, 0, .5); }
    }
    span { line-height: 1.4rem; margin: 2px; }
  }
}

.forum-separator {
  cursor: default; font-size: 0.9em; font-weight: bold; padding-left: 10px;
}

.forum-thread {
  cursor: pointer;
  position: relative;
  background: #4e291f;
  opacity: .75;
  color: #eba475;
  font-style: italic;
  &.selected { 
   background: #46241b; opacity: 1; box-shadow: inset 0 0 2px black !important;
    &:before {
      display: block; content: " "; width: 16px; height: 16px; top: 9px; left: -7px;
      background-image: url("../../img/forum/selected.png"); position: absolute;
    }
  }
  img {
    vertical-align: middle;
    margin-right: 1em;
  }
  &.forum-thread-unread {
    font-weight: bold;
    font-style: normal;
    background: #4d281f;
    opacity: .9;
    &:before {
      display: block; content: " "; width: 16px; height: 16px; top: 9px; left: -7px;
      background-image: url("../../img/forum/recent.png"); position: absolute;
    }
  }

  .author {
    word-wrap: break-word;
  }
}

.announces {
  font-size: 1rem;
  padding: 3px 3px 3px 25px;
  color: white;
  box-shadow: 0 0 2px black;
  background-repeat: no-repeat;
  background-position: 3px 3px;
  border-radius: 3px;

  &.adminAnnounces {
    background-image: url("../../img/forum/adminAnnounce.png");
    background-color: #553C53;
    border: 1px solid #feb500;
  }

  &.oracleAnnounces {
    background-image: url("../../img/forum/announce.png");
    background-color: #3b4151;
    border: 1px solid #4e5162;
  }

  &.reported {
    background-image: url("../../img/forum/warning.png");
    background-color: #3e0000;
    border: 1px solid #ff3333;
  }

  ul {
    list-style-image: url('../../img/forum/view.png');
    padding-left: 20px;
    color: #feb500;
    li {
      text-decoration: underline;
      cursor: pointer;
      &:hover {
        color: white;
      }
    }
  }
}

.forum-preview-container {
  border: 1px solid @myhordes-smalltext; padding: 3px;
  overflow: auto; font-size: 0.8em;
  &.fix-height { max-height: 300px; }

  .forum-post-header .post-note { display: none; }
  .forum-post-content {
    padding-bottom: 4px;
    p { margin: 2px 0; }
  }
}

.home-pm {
  .forum-post-content {
    font-size: 1.3rem;
  }
}

#post-office {
  position: fixed; background: url("../../img/background/mask.png"); width: 100%; height: 100%; z-index: 999;
  backdrop-filter: blur(2px); padding: 15px 0;
  transition: opacity 1s ease; opacity: 1;

  #post-office-box {
    position: absolute; width: 1500px; left: calc(50% - 750px);
    background: url("../../img/background/bg_content2.jpg") repeat-y top left/900px 263px, url("../../img/background/bg_content2.jpg") repeat-y top right/900px 263px;
    top: 10px; bottom: 10px; border-radius: 8px; box-shadow: 0 0 10px black;
    transition: transform 0.5s ease; transform: scale(1) translateY(0);

    #post-office-button-overlay {
      position: absolute; top: 12px; right: 12px;
      &:hover { filter: brightness(140%); }
      ul {
        margin: 2px; padding: 0;
        &>li {
          display: inline-block; list-style: none; cursor: pointer;
          &:last-child { color: red; filter: drop-shadow(0 0 2px black); }
        }
      }
    }

    #post-office-content {
      background: @myhordes-panel-border, @myhordes-panel-bg; position: absolute; overflow-x: hidden; overflow-y: auto;
      left: 18px; top: 0; right: 5px; bottom: 0; border-radius: 12px; padding: 8px; color: white;

      &>.row-flex.stretch { height: 100% };
      .forum-note.stretcher {
        position: absolute; top: 0; left: 0; right: 0; bottom: 0;
        div.scroll-area { position: absolute; top: 0; left: 0; right: 0; bottom: 0; overflow: auto }
      }

      #pm-selected-users {
        margin: 0; padding: 0;
        &>li {
          margin: 2px; padding: 2px; display: inline-block; list-style: none;
          background: #3b3249; border: 1px solid #25202f; border-radius: 3px;
          &>b { text-shadow: 0 0 1px black; }
          &>span { color: @myhordes-smalltext; cursor: pointer; margin-left: 6px; font-size: 0.8em; vertical-align: super; }
        }
      }
    }
  }

  &:not(.visible) {
    pointer-events: none; opacity: 0;
    #post-office-box { transform: scale(0) translateY(1000px) }
  }

  .pm-userbox {
    background: #65382e; box-shadow: 0 0 4px rgba(0,0,0,0.3); margin: 5px; height: 24px; cursor: default;
    overflow: hidden;
    &>.pm-avatar {
      height: 24px; display: inline-block;
      &:not(.empty) {width: 24px; }
    }
    &>.pm-userbox-name {
      display: inline-block; padding: 10px; position: relative; top: -8px;
      &:not(:last-child) { padding-right: 2px; }
    };
    &>.pm-userbox-action {
      display: inline-block; padding: 10px; position: relative; top: -9px; transition: background-color 0.5s ease-in-out;
      cursor: pointer;
      &:hover { background-color: rgba(255,255,255,0.2); }
    };
  }

  #pm-conversation-list>ul {
    padding: 0; margin: 0;
    &>li {
      list-style: none; padding: 8px 8px 8px 15px; transition: background-color 0.5s ease, box-shadow 0.5s ease; position: relative;
      &::before, &::after {content: " "; clear: both;}

      &.selected { cursor: default; }
      &:not(.selected) { cursor: pointer; }

      &[x-domain="a"] {
        background-image: url("../../img/forum/announceBgR.png");
        background-repeat: no-repeat; background-size: contain; background-position: top right;
      }

      &.selected {
        background-color: rgba(0,0,0,0.2); box-shadow: inset 0 0 5px rgba(0,0,0,0.5);
        &::before {
          display: block; content: " "; width: 16px; height: 16px; top: calc(50% - 8px); left: -5px;
          background-image: url(../../img/forum/selected.png); position: absolute;
        }
      }
      &.closed>* { filter: grayscale(1) contrast(0.7) brightness(0.8); }

      &.new:not(.selected):not([x-domain="f"]) {
        &::before {
          display: block; content: " "; width: 16px; height: 16px; top: calc(50% - 8px); left: 0;
          background-image: url(../../img/forum/recent.png); position: absolute;
        }
      }
      &.new:not(.selected)[x-domain="f"] {
        &::before {
          display: block; content: " "; width: 16px; height: 16px; top: calc(50% - 8px); left: 4px;
          background-image: url(../../img/icons/small_mail.gif); position: absolute;
        }
      }

      &+li { border-top: 1px solid fade(@myhordes-smalltext, 50%); }
      &:not(.selected):hover { background-color: rgba(255,255,255,0.2); box-shadow: 0 0 5px rgba(0,0,0,0.5) }
      b.title {
        font-size: 1.6em; font-weight: bold; display: block; max-width: calc(100% - 50px);
        &:not(.crow-note) { overflow: hidden; white-space: nowrap; text-overflow: " [...]"; }
        &.crow-note { color: #3e0000; font-weight: bold; font-variant: small-caps; }
      }
      &.closed b.title::before { display: inline-block; height: 16px; width: 16px; content: " "; background: url(../../img/icons/lock.gif) center no-repeat; }
      &[x-domain="a"] b.title { max-width: calc(100% - 0px); color: @myhordes-smalltext }
      span.author {
        color: @myhordes-smalltext;
        &.crow-note { color: #3e0000; font-weight: bold; font-variant: small-caps; }
        b.sender { color: white; font-weight: bold; }
      }
      &[x-domain="f"] {
        padding-left: 24px;
        b.title { max-width: calc(100% - 0px); opacity: 0.6; &:first-line { font-size: 0.6em; font-weight: normal }}
        span.date { display: none }
      }
      span.date { opacity: 0.6 }
      div.pm-avatar-block {
        float: right; height: 40px; width: 40px; position: relative;
        div.pm-avatar, div.pm-avatar-crow {
          position: absolute; top: 0; left: 0; width: 100%; height: 100%; border-radius: 100%; box-shadow: 0 0 4px rgba(0,0,0,0.6);
          background-color: @myhordes-smalltext; font-size: 19px;

          &.pm-avatar-crow { background: url(../../img/forum/crow/crow.png) center / cover no-repeat; border: 2px solid #3e0000; box-shadow: 0 0 6px #3e0000 }

          &.owner:not(:first-child) { top: 20%; left: 20%; width: 60%; height: 60%; font-size: 13px; }
          &:not(.owner):not(:only-child) { width: 45%; height: 45%; border-radius: 0; font-size: 10px; }

          &:not(.owner):first-child:nth-last-child(2) { top: 0; left: 0; }
          &:not(.owner):first-child:nth-last-child(2) ~ div.pm-avatar.owner { top: 30%; left: 30%; width: 70%; height: 70%; border-radius: 50% 0 0 0; font-size: 15px; }
          &:not(.owner):first-child:nth-last-child(2) ~ div.pm-avatar:not(.owner):nth-child(2)  { top: 55%; left: 55%; }

          &:not(.owner):first-child:nth-last-child(3) { top: 0; left: 0; }
          &:not(.owner):first-child:nth-last-child(3) ~ div.pm-avatar.owner { top: 15%; left: 15%; width: 70%; height: 70%; border-radius: 50% 0 50% 0; font-size: 15px;}
          &:not(.owner):first-child:nth-last-child(3) ~ div.pm-avatar:not(.owner):nth-child(2)  { top: 55%; left: 55%; }
          &:not(.owner):first-child:nth-last-child(3) ~ div.pm-avatar:not(.owner):nth-child(3)  { top: 55%; left: 0; }

          &:not(.owner):first-child:nth-last-child(4) { top: 0; left: 0; }
          &:not(.owner):first-child:nth-last-child(4) ~ div.pm-avatar.owner { top: 0; left: 30%; width: 70%; height: 70%; border-top-right-radius: 0; font-size: 15px; }
          &:not(.owner):first-child:nth-last-child(4) ~ div.pm-avatar:not(.owner):nth-child(2)  { top: 55%; left: 55%; }
          &:not(.owner):first-child:nth-last-child(4) ~ div.pm-avatar:not(.owner):nth-child(3)  { top: 55%; left: 0; }
          &:not(.owner):first-child:nth-last-child(4) ~ div.pm-avatar:not(.owner):nth-child(4)  { top: 0; left: 55%; }

          &:not(.owner):first-child:nth-last-child(5) { top: 0; left: 0; }
          &:not(.owner):first-child:nth-last-child(5) ~ div.pm-avatar:not(.owner):nth-child(2)  { top: 55%; left: 55%; }
          &:not(.owner):first-child:nth-last-child(5) ~ div.pm-avatar:not(.owner):nth-child(3)  { top: 55%; left: 0; }
          &:not(.owner):first-child:nth-last-child(5) ~ div.pm-avatar:not(.owner):nth-child(4)  { top: 0; left: 55%; }
        }
      }
    }
  }

  #gpm-forum-content {
    ul {

      &:not(.announcement) { padding: 0 0 0 40px; }
      &.announcement { padding: 0; }

      margin: 10px;
      &>li {
        position: relative; list-style: none; display: block; min-height: 30px;
        &+li { margin-top: 20px; }
        div.pm-avatar, div.pm-avatar-crow {
          position: absolute; height: 40px; width: 40px; border-radius: 100%; top: 0; left: -40px;
          background: @myhordes-smalltext; font-size: 16px; filter: drop-shadow(0 0 4px black);
          &.pm-avatar-crow { background: url(../../img/forum/crow/crow.png) center / cover no-repeat; border: 2px solid #3e0000; filter: drop-shadow(0 0 4px #3e0000) }
        }
        div.pm-message {
          &:before {
            content: " "; position: absolute; height: 0; width: 0; right: 100%; top: 13px;
            border: 6px solid transparent; border-right: 6px solid #4a261e;
          }

          padding: 6px; margin: 5px 0 5px 10px; background-color: #4a261e; position: relative; overflow: visible;
          min-height: 30px; filter: drop-shadow(0 0 3px rgba(0,0,0,0.35));
          &>div.pm-message-header { 
            color: @myhordes-smalltext; font-size: 0.9em; 
            .img { vertical-align: text-bottom; }
          }
          &>div.pm-message-content {
            font-size: 1.5rem;
            &>p { margin: 0; }
          }
          &>div.pm-message-footer {
            margin-top: 4px; padding-top: 4px; font-size: 0.8em; opacity: 0.6; border-top: 1px solid rgba(0,0,0,0.2);
            text-align: right;
            .pm-button { cursor: pointer }
          }
        }

        div.pm-announce {

          div.pm-avatar { left: 6px; top: 3px; }

          &>div.pm-message-content {
            &:before {
              content: " "; position: absolute; height: 0; width: 0; top: 100%; left: 13px;
              border: 6px solid transparent; border-top: 6px solid #4a261e;
            }
            padding: 6px; margin: 5px 0 10px 5px; background-color: #4a261e; position: relative; overflow: visible;
            min-height: 30px; filter: drop-shadow(0 0 3px rgba(0,0,0,0.35)); text-align: justify; font-size: 1.2em;

            h1 { color: @myhordes-smalltext; margin: 0 0 5px 0; padding: 0 0 5px 0; border-bottom: 1px solid rgba(0,0,0,0.2); }

            &>p:only-child { margin: 5px 0 10px 0; font-size: 1.5rem; }
          }

          &>div.pm-message-footer {
            margin-top: 4px; padding: 4px 5px 0 50px; min-height: 50px; position: relative;
            .pm-announcement-sender { font-size: 2em; color: @myhordes-smalltext }
            .pm-announcement-date { font-size: 0.8em; opacity: 0.6; }

          }
        }

        &.own div.pm-message {
          &:before { border-right: 6px solid #65382e; }
          background-color: #65382e;
        }

        &.new:not(.own) div.pm-avatar::after, &.new:not(.own) div.pm-avatar-crow::after {
          content: " "; position: absolute; width: 20px; height: 20px; border: 1px solid #fe7d00; border-radius: 10px;
          background: url("../../img/forum/new.png") top center no-repeat, #bd3d00; bottom: -10px; right: -10px;
        }
      }
    }
  }

  .pm-endless-more {
    text-align: center; color: @myhordes-smalltext; margin: 10px 5px; padding: 2px 0;
    border-top: 1px solid fade(@myhordes-smalltext, 50%); border-bottom: 1px solid fade(@myhordes-smalltext, 50%);
  }
}

.infoThread {  
  background-color: #5C0000 !important;
  border: 1px solid #ddab76 !important;
  outline: 2px solid #5c2b20 !important;
  margin-bottom: 10px;
}